Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenPluginImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenPluginImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenPlugin

    public class GenPluginImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements GenPlugin

An implementation of the model object 'Gen Plugin'.

The following features are implemented:

- `Editor Gen`
- `ID`
- `Name`
- `Provider`
- `Version`
- `Printing Enabled`
- `Required Plugins`
- `Activator Class Name`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `ACTIVATOR_CLASS_NAME_EDEFAULT` The default value of the '`Activator Class Name`' attribute
`protected java.lang.String` `activatorClassName` The cached value of the '`Activator Class Name`' attribute
`protected java.lang.String` `iD` The cached value of the '`ID`' attribute
`protected static java.lang.String` `ID_EDEFAULT` The default value of the '`ID`' attribute
`protected java.lang.String` `name` The cached value of the '`Name`' attribute
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute
`protected static boolean` `PRINTING_ENABLED_EDEFAULT` The default value of the '`Printing Enabled`' attribute
`protected boolean` `printingEnabled` The cached value of the '`Printing Enabled`' attribute
`protected java.lang.String` `provider` The cached value of the '`Provider`' attribute
`protected static java.lang.String` `PROVIDER_EDEFAULT` The default value of the '`Provider`' attribute
`protected org.eclipse.emf.common.util.EList<java.lang.String>` `requiredPlugins` The cached value of the '`Required Plugins`' attribute list
`protected java.lang.String` `version` The cached value of the '`Version`' attribute
`protected static java.lang.String` `VERSION_EDEFAULT` The default value of the '`Version`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenPluginImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getActivatorClassName()` Returns the value of the 'Activator Class Name' attribute
`java.lang.String` `getActivatorClassNameGen()`
`java.lang.String` `getActivatorQualifiedClassName()`
`org.eclipse.emf.common.util.EList<java.lang.String>` `getAllRequiredPlugins()`
`GenEditorGenerator` `getEditorGen()`
`java.lang.String` `getID()` Returns the value of the 'ID' attribute
`java.lang.String` `getIDGen()`
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`java.lang.String` `getNameGen()`
`java.lang.String` `getProvider()`
`org.eclipse.emf.common.util.EList<java.lang.String>` `getRequiredPlugins()`
`java.lang.String` `getVersion()`
`boolean` `isPrintingEnabled()`
`void` `setActivatorClassName(java.lang.String newActivatorClassName)`
`void` `setID(java.lang.String newID)`
`void` `setName(java.lang.String newName)`
`void` `setPrintingEnabled(boolean newPrintingEnabled)`
`void` `setProvider(java.lang.String newProvider)`
`void` `setVersion(java.lang.String newVersion)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ID_EDEFAULT

    protected static final java.lang.String ID_EDEFAULT

  The default value of the '`ID`' attribute.

  See Also:
    `getID()`
  ** Generated **
  Ordered:

### iD

    protected java.lang.String iD

  The cached value of the '`ID`' attribute.

  See Also:
    `getID()`
  ** Generated **
  Ordered:

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`
  ** Generated **
  Ordered:

### name

    protected java.lang.String name

  The cached value of the '`Name`' attribute.

  See Also:
    `getName()`
  ** Generated **
  Ordered:

### PROVIDER_EDEFAULT

    protected static final java.lang.String PROVIDER_EDEFAULT

  The default value of the '`Provider`' attribute.

  See Also:
    `getProvider()`, Constant Field Values
  ** Generated **
  Ordered:

### provider

    protected java.lang.String provider

  The cached value of the '`Provider`' attribute.

  See Also:
    `getProvider()`
  ** Generated **
  Ordered:

### VERSION_EDEFAULT

    protected static final java.lang.String VERSION_EDEFAULT

  The default value of the '`Version`' attribute.

  See Also:
    `getVersion()`, Constant Field Values
  ** Generated **
  Ordered:

### version

    protected java.lang.String version

  The cached value of the '`Version`' attribute.

  See Also:
    `getVersion()`
  ** Generated **
  Ordered:

### PRINTING_ENABLED_EDEFAULT

    protected static final boolean PRINTING_ENABLED_EDEFAULT

  The default value of the '`Printing Enabled`' attribute.

  See Also:
    `isPrintingEnabled()`, Constant Field Values
  ** Generated **
  Ordered:

### printingEnabled

    protected boolean printingEnabled

  The cached value of the '`Printing Enabled`' attribute.

  See Also:
    `isPrintingEnabled()`
  ** Generated **
  Ordered:

### requiredPlugins

    protected org.eclipse.emf.common.util.EList<java.lang.String> requiredPlugins

  The cached value of the '`Required Plugins`' attribute list.

  See Also:
    `getRequiredPlugins()`
  ** Generated **
  Ordered:

### ACTIVATOR_CLASS_NAME_EDEFAULT

    protected static final java.lang.String ACTIVATOR_CLASS_NAME_EDEFAULT

  The default value of the '`Activator Class Name`' attribute.

  See Also:
    `getActivatorClassName()`
  ** Generated **
  Ordered:

### activatorClassName

    protected java.lang.String activatorClassName

  The cached value of the '`Activator Class Name`' attribute.

  See Also:
    `getActivatorClassName()`
  ** Generated **
  Ordered:

Constructor Detail

### GenPluginImpl

    protected GenPluginImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getEditorGen

    public GenEditorGenerator getEditorGen()

  Specified by:
    `getEditorGen` in interface `GenPlugin`
  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenPlugin_EditorGen()`, `GenEditorGenerator.getPlugin()`
  ** Generated **

### getID

    public java.lang.String getID()

  Description copied from interface: `GenPlugin`
  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getID` in interface `GenPlugin`
  Returns:
    the value of the 'ID' attribute.
  See Also:
    `GenPlugin.setID(String)`, `GMFGenPackage.getGenPlugin_ID()`

### getIDGen

    public java.lang.String getIDGen()

  ** Generated **

### setID

    public void setID(java.lang.String newID)

  Specified by:
    `setID` in interface `GenPlugin`
  Parameters:
    `newID` - the new value of the 'ID' attribute.
  See Also:
    `GenPlugin.getID()`
  ** Generated **

### getNameGen

    public java.lang.String getNameGen()

  ** Generated **

### getName

    public java.lang.String getName()

  Description copied from interface: `GenPlugin`
  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getName` in interface `GenPlugin`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `GenPlugin.setName(String)`, `GMFGenPackage.getGenPlugin_Name()`
  ** Generated **
    NOT

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `GenPlugin`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `GenPlugin.getName()`
  ** Generated **

### getProvider

    public java.lang.String getProvider()

  Specified by:
    `getProvider` in interface `GenPlugin`
  Returns:
    the value of the 'Provider' attribute.
  See Also:
    `GenPlugin.setProvider(String)`, `GMFGenPackage.getGenPlugin_Provider()`
  ** Generated **

### setProvider

    public void setProvider(java.lang.String newProvider)

  Specified by:
    `setProvider` in interface `GenPlugin`
  Parameters:
    `newProvider` - the new value of the 'Provider' attribute.
  See Also:
    `GenPlugin.getProvider()`
  ** Generated **

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `GenPlugin`
  Returns:
    the value of the 'Version' attribute.
  See Also:
    `GenPlugin.setVersion(String)`, `GMFGenPackage.getGenPlugin_Version()`
  ** Generated **

### setVersion

    public void setVersion(java.lang.String newVersion)

  Specified by:
    `setVersion` in interface `GenPlugin`
  Parameters:
    `newVersion` - the new value of the 'Version' attribute.
  See Also:
    `GenPlugin.getVersion()`
  ** Generated **

### isPrintingEnabled

    public boolean isPrintingEnabled()

  Specified by:
    `isPrintingEnabled` in interface `GenPlugin`
  Returns:
    the value of the 'Printing Enabled' attribute.
  See Also:
    `GenPlugin.setPrintingEnabled(boolean)`, `GMFGenPackage.getGenPlugin_PrintingEnabled()`
  ** Generated **

### setPrintingEnabled

    public void setPrintingEnabled(boolean newPrintingEnabled)

  Specified by:
    `setPrintingEnabled` in interface `GenPlugin`
  Parameters:
    `newPrintingEnabled` - the new value of the 'Printing Enabled' attribute.
  See Also:
    `GenPlugin.isPrintingEnabled()`
  ** Generated **

### getRequiredPlugins

    public org.eclipse.emf.common.util.EList<java.lang.String> getRequiredPlugins()

  Specified by:
    `getRequiredPlugins` in interface `GenPlugin`
  Returns:
    the value of the 'Required Plugins' attribute list.
  See Also:
    `GMFGenPackage.getGenPlugin_RequiredPlugins()`
  ** Generated **

### getActivatorClassName

    public java.lang.String getActivatorClassName()

  Description copied from interface: `GenPlugin`
  Returns the value of the 'Activator Class Name' attribute.

  If the meaning of the 'Activator Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getActivatorClassName` in interface `GenPlugin`
  Returns:
    the value of the 'Activator Class Name' attribute.
  See Also:
    `GenPlugin.setActivatorClassName(String)`, `GMFGenPackage.getGenPlugin_ActivatorClassName()`

### getActivatorClassNameGen

    public java.lang.String getActivatorClassNameGen()

  ** Generated **

### setActivatorClassName

    public void setActivatorClassName(java.lang.String newActivatorClassName)

  Specified by:
    `setActivatorClassName` in interface `GenPlugin`
  Parameters:
    `newActivatorClassName` - the new value of the 'Activator Class Name' attribute.
  See Also:
    `GenPlugin.getActivatorClassName()`
  ** Generated **

### getAllRequiredPlugins

    public org.eclipse.emf.common.util.EList<java.lang.String> getAllRequiredPlugins()

  Specified by:
    `getAllRequiredPlugins` in interface `GenPlugin`
  ** Generated **
    NOT

### getActivatorQualifiedClassName

    public java.lang.String getActivatorQualifiedClassName()

  Specified by:
    `getActivatorQualifiedClassName` in interface `GenPlugin`
  ** Generated **
    NOT

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.